Subject: Re: [bug#40601] [PATCH 04/28] guix-install.sh: Handle local binary tarball file.

From: Vincent Legoll <[email-masked]>
Date: Sat, 23 May 2020 23:37:08 +0200

On 23/05/2020 15:42, Tobias Geerinckx-Rice wrote:
> Vincent,
> 
> I've pushed the first three patches with some commit message tweaks.

Thanks & thanks

> Vincent Legoll 写道：
>> * etc/guix-install.sh (REQUIRE): add realpath.
>> (main): Handle local binary tarball file path passed as first arg.
> 
> ‘file name’, ‘argument’.
> 
> I'm OK with this change in general but it needs to be documented 
> *somewhere*: in (guix)Binary Installation and/or a (new) --help message 
> and/or an ‘Invocation:’ comment at the top of the script.
> 
> I notice you ran out of commit message energy halfway through the series 
> :-)  While I've come to love Guix's discipline, I sympathise, but what's 
> the plan?

I was off duty at dayjob cause of covid partial unemployment last week,
that's why I got more time to work on guix. I have resumed work this
week so it explains the slowdown ;-)

The plan is that I'll continue working on this series to polish the
commit messages that need to be. I just wanted to send the series to
have the ACKs that it will not be lost work, before continuing.

I've got ACKs, so I'll work on finishing the pending patches, before
embarking on more TODO items. And doc is one item from that TODO list.
I'll put it on top.

But even if dev speed is lower, I'm committed to finish this.

-- 
Vincent Legoll